package net.Chipperfluff.chipi;

import net.minecraft.nbt.NbtCompound;
import net.minecraft.world.PersistentState;

public class SpawnPlacedState extends PersistentState {

    public boolean placed = false;

    public static SpawnPlacedState fromNbt(NbtCompound nbt) {
        SpawnPlacedState state = new SpawnPlacedState();
        state.placed = nbt.getBoolean("placed");
        return state;
    }

    @Override
    public NbtCompound writeNbt(NbtCompound nbt) {
        nbt.putBoolean("placed", placed);
        return nbt;
    }
}
